Show / Hide Table of Contents

# Class GameSecrets

Party secret for a RichGame object.

##### Inheritance

System.Object
GameSecrets

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class GameSecrets

### Properties

| Improve this Doc View Source

#### Join

Gets the secret for joining a party.

##### Declaration

    public string Join { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Match

Gets the secret for a specific instanced match.

##### Declaration

    public string Match { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Spectate

Gets the secret for spectating a game.

##### Declaration

    public string Spectate { get; }

##### Property Value

Type | Description
--- | ---
System.String |